play.db.helper

## Class JdbcResultFactories

- java.lang.Object
- - play.db.helper.JdbcResultFactories

-     public class JdbcResultFactories
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JdbcResultFactories.ClassFactory<T>`
    `static class` | `JdbcResultFactories.PrimitiveFactory<T>`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> JdbcResultFactory<T>` | `build(java.lang.Class<T> objectClass)`
    `static <T> JdbcResultFactory<T>` | `build(java.lang.Class<T> objectClass, java.util.List<java.lang.String> fields)`
    `static <T> JdbcResultFactory<T>` | `build(java.lang.Class<T> objectClass, java.lang.String... fields)`
    `static <T> JdbcResultFactory<T>` | `buildClass(java.lang.Class<T> objectClass)`
    `static <T> JdbcResultFactory<T>` | `buildClass(java.lang.Class<T> objectClass, java.util.List<java.lang.String> fields)`
    `static <T> JdbcResultFactory<T>` | `buildClass(java.lang.Class<T> objectClass, java.lang.String... fields)`
    `static <T> JdbcResultFactory<T>` | `buildPrimitive(java.lang.Class<T> objectClass)`
    `static <T> JdbcResultFactory<T>` | `buildPrimitive(java.lang.Class<T> objectClass, int columnIndex)`
    `static <T> JdbcResultFactory<T>` | `buildPrimitive(java.lang.Class<T> objectClass, java.lang.String field)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### build

          public static <T> JdbcResultFactory<T> build(java.lang.Class<T> objectClass)

    - #### build

          public static <T> JdbcResultFactory<T> build(java.lang.Class<T> objectClass,
                                                       java.lang.String... fields)

    - #### build

          public static <T> JdbcResultFactory<T> build(java.lang.Class<T> objectClass,
                                                       java.util.List<java.lang.String> fields)

    - #### buildPrimitive

          public static <T> JdbcResultFactory<T> buildPrimitive(java.lang.Class<T> objectClass)

    - #### buildPrimitive

          public static <T> JdbcResultFactory<T> buildPrimitive(java.lang.Class<T> objectClass,
                                                                int columnIndex)

    - #### buildPrimitive

          public static <T> JdbcResultFactory<T> buildPrimitive(java.lang.Class<T> objectClass,
                                                                java.lang.String field)

    - #### buildClass

          public static <T> JdbcResultFactory<T> buildClass(java.lang.Class<T> objectClass)

    - #### buildClass

          public static <T> JdbcResultFactory<T> buildClass(java.lang.Class<T> objectClass,
                                                            java.lang.String... fields)

    - #### buildClass

          public static <T> JdbcResultFactory<T> buildClass(java.lang.Class<T> objectClass,
                                                            java.util.List<java.lang.String> fields)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly